<!doctype html>
<html lang="en">
<meta charset="utf-8">
<head>
<title>Edit Item</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" type="text/css" href="frameworks/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="frameworks/bootstrap/css/bootstrap-theme.min.css">
<script type="text/javascript" src="frameworks/jquery/jquery.js"></script>
<script type="text/javascript" src="frameworks/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="frameworks/bootstrap/js/bootstrap.js"></script>
<link rel="stylesheet" type="text/css" href="frameworks/custom/themes.css">
<script><!--start of codes for radio button functions-->
$(document).ready(function()
{
	/* codes for back button bug */
    if ($("input[name=band]:checked").val() == "new") { 
		$("#selectband").attr("disabled", true);
		$("#textboxnew").attr("disabled", false);
    }
	if ($("input[name=band]:checked").val() == "select") {
        $("#selectband").attr("disabled", false);
		$("#textboxnew").attr("disabled", true);
    } /* end of codes for back button bug */


	$("#optionSelect").click(function(){
        $("#selectband").attr("disabled", false);
		$("#textboxnew").attr("disabled", true);
    });
    $("#optionNew").click(function(){
        $("#selectband").attr("disabled", true);
		$("#textboxnew").attr("disabled", false);
    });
});
</script><!--end of codes for radio button functions-->

</head>
<body>
<!-- login verify-->
<?php
session_start();
if(@$_SESSION['auth']!="yes"){
	header("location:pasukan.php");
	exit();
}
 ?>

<!-- end login verify-->

<?php //codes for band selectbox
include("inc_files/misc_variables.php");
$bandquery="select distinct band from musicians order by band"; //use distinct to avoid repetition in result
$bandresult=mysqli_query($enterdb,$bandquery);
?>

<?php /*codes for item info*/
 @$id = $_GET['id'];
 $iteminfo="select * from musicians where memberID='$id'";
 $resultinfo=mysqli_query($enterdb,$iteminfo) or die("invalid item id!!");
 $inforow=mysqli_fetch_assoc($resultinfo);
@extract($inforow);
 ?>
 <div class="container">
	<div class="row">
		<div class="col-md-6">
<?php
@$defaultphoto=$_POST['itemphoto'];
@$staticid=$_POST['memberid'];
@$editfname=$_POST['firstname'];
@$editlname=$_POST['lastname'];
@$editrole=$_POST['role'];
@$editbandname=$_POST['bandname'];
@$editstatus=$_POST['status'];
@$editnewimagename=($_FILES['changephoto']['name']);
@$editdestination='images'."\\".$editnewimagename; //double the slash to add 1 literal slash

if ($id==""){
	echo "ID is Empty!!";	
}
else{
	echo "Edit the Form";
	
}

?>




<p style="text-align:justify"><pre>NOTE:<br>The developer made the item display best suited for <b>photo size that exactly 4x3 inches</b>.So the image must be cropped to 4x3 inches first. But you may request to the change the preferred size to the developer.</pre></p> 
<div class="well well-sm">
<form action="admin-edit-item-process.php" method="post" enctype="multipart/form-data"><!-- this value of enctype must set for file upload to work-->
<fieldset>
<legend>Edit Item</legend>
<p>memberID: </p><input type="number" name="memberid" size="5" maxlength="7" min="1" value="<?php echo @$memberID?>" readonly></input><br><!-- read only or not editable -->
<p>First Name: </p><input type="text" name="firstname" size="15" maxlength="25" value="<?php echo @$firstName?>" pattern="[A-Za-z' -]+" autofocus required></input><br><!-- pattern set only allowed characters, required attribute will avoid empty textbox -->
<p>Last Name: </p><input type="text" name="lastname" size="15" maxlength="25" value="<?php echo @$lastName?>" pattern="[A-Za-z' -]+" required></input><br><!-- pattern set only allowed characters, required attribute will avoid empty textbox -->
<p>Role: </p><input type="text" name="role" size="15" maxlength="25" value="<?php echo @$role?>" pattern="[A-Za-z0-9' -+&/\\]+" required></input><br><!-- pattern set only allowed characters, required attribute will avoid empty textbox -->

<p>Band: </p>
<input type="radio" id="optionSelect" name="band" value="select"checked>existing:</input><!-- checked attribute makes a default selected item -->
<select id="selectband" name="bandname"> <!-- start-codes for selectbox-->
<option value="<?php echo @$band?>"><?php echo @$band?></option><!-- trick to select the item band data as default -->
<?php 
while($bandrow=mysqli_fetch_assoc($bandresult))
{
	extract($bandrow);
	echo "<option value='$band'>$band</option>\n";
}
?>
</select><!-- end-codes for selectbox--><br>
<input type="radio" id="optionNew" name="band" value="new">add new:</input>
<input type="text" id="textboxnew" name="bandname" size="15" maxlength="25" pattern="[A-Za-z0-9' -+&/\\]+" disabled required></input><!-- disabled because selectbox is default, same name to selectbox because only 1 of them will work,pattern set only allowed characters, required attribute will avoid empty textbox-->
<br>


<p>Status: </p><select name="status">
<option value="<?php echo @$status?>"><?php echo @$status?></option><!-- trick to select the item status data as default -->
<option value="active">active</option>
<option value="not active">not active</option>
</select><br>

<p>Photo: </p>
<input type="text" name="itemphoto" size="15" maxlength="25" value="<?php echo @$photo?>" readonly></input>
<input type="hidden" name="maxfilesize" value="1000000"><!-- use for max size limit of file which is 1mb--></input>
<input type="file" name="changephoto"></input>
<br><br>

<input type="submit" class="btn btn-primary" value="update item"></input> <a href="admin-items.php">cancel</a>
</fieldset>
</form>
		</div>
		</div>

	</div>
</div>
 

</body>
</html>